OpenVDB: LeafBuffer< bool, Log2Dim > Class Template Reference

OpenVDB 5.0.0

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes | Friends | List of all members
LeafBuffer< bool, Log2Dim > Class Template Reference

`#include <LeafBuffer.h>`

## Public Types
using | NodeMaskType = util::NodeMask< Log2Dim >
using | WordType = typename NodeMaskType::Word
using | ValueType = bool
using | StorageType = WordType

## Public Member Functions
| LeafBuffer ()
| LeafBuffer (bool on)
| LeafBuffer (const NodeMaskType &other)
| LeafBuffer (const LeafBuffer &other)
| ~LeafBuffer ()
void | fill (bool val)
LeafBuffer & | operator= (const LeafBuffer &b)
const bool & | getValue (Index i) const
const bool & | operator[] (Index i) const
bool | operator== (const LeafBuffer &other) const
bool | operator!= (const LeafBuffer &other) const
void | setValue (Index i, bool val)
void | swap (LeafBuffer &other)
Index | memUsage () const
WordType * | data ()
| Return a pointer to the C-style array of words encoding the bits. More...
const WordType * | data () const
| Return a const pointer to the C-style array of words encoding the bits. More...

## Static Public Member Functions
static Index | size ()

## Static Public Attributes
static const Index | WORD_COUNT = NodeMaskType::WORD_COUNT
static const Index | SIZE = 1 << 3 * Log2Dim
static const bool | sOn = true
static const bool | sOff = false

## Friends
template<typename , Index >
class | LeafNode

## Member Typedef Documentation

## ◆ NodeMaskType

using NodeMaskType = util::NodeMask<Log2Dim>

## ◆ StorageType

using StorageType = WordType

## ◆ ValueType

using ValueType = bool

## ◆ WordType

using WordType = typename NodeMaskType::Word

## Constructor & Destructor Documentation

## ◆ LeafBuffer() [1/4]

LeafBuffer | ( |  | ) |
| inline

## ◆ LeafBuffer() [2/4]

LeafBuffer | ( | bool | on | ) |
| inline

## ◆ LeafBuffer() [3/4]

LeafBuffer | ( | const NodeMaskType & | other | ) |
| inline

## ◆ LeafBuffer() [4/4]

LeafBuffer | ( | const LeafBuffer< bool, Log2Dim > & | other | ) |
| inline

## ◆ ~LeafBuffer()

~LeafBuffer | ( |  | ) |
| inline

## Member Function Documentation

## ◆ data() [1/2]

WordType* data | ( |  | ) |
| inline

Return a pointer to the C-style array of words encoding the bits.

Warning
  This method should only be used by experts seeking low-level optimizations.

## ◆ data() [2/2]

const WordType* data | ( |  | ) | const
| inline

Return a const pointer to the C-style array of words encoding the bits.

Warning
  This method should only be used by experts seeking low-level optimizations.

## ◆ fill()

void fill | ( | bool | val | ) |
| inline

## ◆ getValue()

const bool& getValue | ( | Index | i | ) | const
| inline

## ◆ memUsage()

Index memUsage | ( |  | ) | const
| inline

## ◆ operator!=()

bool operator!= | ( | const LeafBuffer< bool, Log2Dim > & | other | ) | const
| inline

## ◆ operator=()

LeafBuffer& operator= | ( | const LeafBuffer< bool, Log2Dim > & | b | ) |
| inline

## ◆ operator==()

bool operator== | ( | const LeafBuffer< bool, Log2Dim > & | other | ) | const
| inline

## ◆ operator[]()

const bool& operator[] | ( | Index | i | ) | const
| inline

## ◆ setValue()

void setValue | ( | Index | i,
|  | bool | val
| ) |  |
| inline

## ◆ size()

static Index size | ( |  | ) |
| inlinestatic

## ◆ swap()

void swap | ( | LeafBuffer< bool, Log2Dim > & | other | ) |
| inline

## Friends And Related Function Documentation

## ◆ LeafNode

friend class LeafNode
| friend

## Member Data Documentation

## ◆ SIZE

const Index SIZE = 1 << 3 * Log2Dim
| static

## ◆ sOff

const bool sOff = false
| static

## ◆ sOn

const bool sOn = true
| static

## ◆ WORD_COUNT

const Index WORD_COUNT = NodeMaskType::WORD_COUNT
| static

The documentation for this class was generated from the following file:

- LeafBuffer.h